<?xml version="1.0"?>
<!-- This file is autogenerated; comments and unknown tags will be stripped -->
<mameconfig version="10">
    <system name="kovshp">
        <input>
            <port tag="P1P2" type="START1" mask="1" defvalue="1">
                <newseq type="standard">
                    KEYCODE_1
                </newseq>
            </port>
            <port tag="P1P2" type="P1_JOYSTICK_UP" mask="2" defvalue="2">
                <newseq type="standard">
                    KEYCODE_W
                </newseq>
            </port>
            <port tag="P1P2" type="P1_JOYSTICK_DOWN" mask="4" defvalue="4">
                <newseq type="standard">
                    KEYCODE_S
                </newseq>
            </port>
            <port tag="P1P2" type="P1_JOYSTICK_LEFT" mask="8" defvalue="8">
                <newseq type="standard">
                    KEYCODE_A
                </newseq>
            </port>
            <port tag="P1P2" type="P1_JOYSTICK_RIGHT" mask="16" defvalue="16">
                <newseq type="standard">
                    KEYCODE_D
                </newseq>
            </port>
            <port tag="P1P2" type="P2_JOYSTICK_UP" mask="512" defvalue="512">
                <newseq type="standard">
                    KEYCODE_UP
                </newseq>
            </port>
            <port tag="P1P2" type="P2_JOYSTICK_DOWN" mask="1024" defvalue="1024">
                <newseq type="standard">
                    KEYCODE_DOWN
                </newseq>
            </port>
            <port tag="P1P2" type="P2_JOYSTICK_LEFT" mask="2048" defvalue="2048">
                <newseq type="standard">
                    KEYCODE_LEFT
                </newseq>
            </port>
            <port tag="P1P2" type="P2_JOYSTICK_RIGHT" mask="4096" defvalue="4096">
                <newseq type="standard">
                    KEYCODE_RIGHT
                </newseq>
            </port>
            <port tag="P1P2" type="P2_BUTTON1" mask="8192" defvalue="8192">
                <newseq type="standard">
                    KEYCODE_1PAD OR KEYCODE_3PAD
                </newseq>
            </port>
            <port tag="P1P2" type="P2_BUTTON2" mask="16384" defvalue="16384">
                <newseq type="standard">
                    KEYCODE_2PAD OR KEYCODE_3PAD OR KEYCODE_6PAD
                </newseq>
            </port>
            <port tag="P1P2" type="P2_BUTTON3" mask="32768" defvalue="32768">
                <newseq type="standard">
                    KEYCODE_4PAD KEYCODE_ENTER KEYCODE_3PAD OR KEYCODE_6PAD
                </newseq>
            </port>
            <port tag="Service" type="COIN1" mask="1" defvalue="1">
                <newseq type="standard">
                    KEYCODE_5
                </newseq>
            </port>
            <port tag="Service" type="P2_BUTTON4" mask="512" defvalue="512">
                <newseq type="standard">
                    KEYCODE_5PAD OR KEYCODE_6PAD
                </newseq>
            </port>
            <port tag="DSW" type="DIPSWITCH" mask="8" defvalue="8" value="0" />
            <port tag="Region" type="DIPSWITCH" mask="15" defvalue="5" value="0" />
            <port tag="CUSTOM1P" type="P1_CUSTOM1" mask="0" defvalue="0" custom="7" />
            <port tag="CUSTOM1P" type="P1_CUSTOM2" mask="0" defvalue="0" custom="14" />
        </input>
        <mixer>
            <volume_multiplier final="256" final_max="256" mixer="662" mixer_max="662" />
        </mixer>
    </system>
</mameconfig>
